## mitmproxy 8.1.1

=== debian/changelog ===
mitmproxy (8.1.1-4) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload.
  * d/patches/0008-Stop-using-blinker._saferef.patch: Add patch to stop
    using blinker._saferef module (Closes: #1071640, #1110243).
  * Fix CVE-2025-23217: mitmweb's API now requires an authentication
    token by default. While the client cannot access the API directly,
    they can access the API through the proxy. An attacker may be able to
    escalate this SSRF-style access to remote code execution (Closes: #1103701).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Oct 2025 14:09:20 +0200

mitmproxy (8.1.1-3) unstable; urgency=medium

  * Team upload.
  * Drop dependency on python3-pkg-resources (Closes: #1083484)
  * Add dependency on python3-standard-imghdr (Closes: #1084686)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 17 May 2025 18:56:38 +0200

mitmproxy (8.1.1-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix Python 3.11 compatibility (Closes: #1031787)

 -- Aron Xu <aron@debian.org>  Fri, 03 Mar 2023 01:21:00 +0800

mitmproxy (8.1.1-1) unstable; urgency=high

  * Team upload
  * New upstream version 8.1.1 (Closes: #1010938, CVE-2021-39214, CVE-2022-24766)
  * d/watch: Remove opts without prepended opts
  * Depend on python3-zstandard

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Remove 2 obsolete maintscript entries in 1 files
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields: Repository-Browse
  * Update standards version to 4.6.2, no changes needed

  [ Agathe Porte ]
  * d/docs: README.rst -> README.md
  * d/clean: remove .tox
  * rebase patches

 -- Bastian Germann <bage@debian.org>  Sun, 05 Feb 2023 17:00:42 +0100

=== debian/control ===
Source: mitmproxy
Section: net
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>
Build-Depends: dh-python, python3, python3-setuptools,
 pandoc,
 python3-asgiref (>= 3.2.10),
 python3-blinker (>= 1.4),
 python3-brotli (>= 1.0),
 python3-certifi (>= 2019.9.11),
 python3-click (>= 7.0),
 python3-cryptography (>= 3.2),
 python3-coverage <!nocheck>,
 python3-flask (>= 1.1.1),
 python3-h2 (>= 4.0),
 python3-hypothesis (>= 5.8) <!nocheck>,
 python3-hyperframe (>= 6.0),
 python3-kaitaistruct (>= 0.7),
 python3-ldap3 (>= 2.8),
 python3-msgpack (>= 1.0.0),
 python3-openssl (>= 19.1.0),
 python3-protobuf (>= 3.6.0),
 python3-passlib (>= 1.6.5),
 python3-pyasn1 (>= 0.3.1),
 python3-pyparsing (>= 2.4.2),
 python3-pyperclip (>= 1.6.0),
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-publicsuffix2 (>= 2.20190812),
 python3-requests (>= 2.9.1),
 python3-ruamel.yaml (>= 0.16),
 python3-sortedcontainers (>= 2.1.0),
 python3-standard-imghdr,
 python3-tornado (>= 4.3),
 python3-urwid (>= 2.1.0),
 python3-wsproto (>= 0.14),
 tox (>= 3.5) <!nocheck>,
 locales-all <!nocheck>,
 python3-zstandard,
 debhelper-compat (= 13)
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/mitmproxy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mitmproxy
Homepage: https://mitmproxy.org

Package: mitmproxy
Architecture: all
Pre-Depends:
 dpkg (>= 1.17.14),
Depends:
 fonts-font-awesome (>= 4.2.0~dfsg),
 python3-h2 (>= 4.0),
 python3-hyperframe (>= 6.0),
 python3-standard-imghdr,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-netlib,
Description: SSL-capable man-in-the-middle HTTP proxy
 mitmproxy is an SSL-capable man-in-the-middle HTTP proxy. It provides
 a console interface that allows traffic flows to be inspected and
 edited on the fly.
 .
 Also shipped is mitmdump, the command-line version of mitmproxy, with
 the same functionality but without the frills. Think tcpdump for
 HTTP.
 .
 Features:
  - intercept and modify HTTP traffic on the fly
  - save HTTP conversations for later replay and analysis
  - replay both HTTP clients and servers
  - make scripted changes to HTTP traffic using Python
  - SSL interception certs generated on the fly

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mitmproxy
export PYBUILD_TEST_ARGS=-k"not TestHARDump" -k"not TestScripts" -k"not test_mitmweb" -k"not test_mitmdump" -k"not TestDaemonSSL" -k"not test_tcp" -k"not TestHTTPS" -k"not TestMasterSecretLogger" -k"not test_get_version"

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	-dh_auto_test

override_dh_python3:
	dh_python3
	rm -fr debian/mitmproxy/usr/lib/python3/dist-packages/mitmproxy/addons/onboardingapp/static/fontawesome/
	rm -fr debian/mitmproxy/usr/lib/python3/dist-packages/mitmproxy/tools/web/static/fonts/

override_dh_installman: $(MAN_PAGES)
	dh_installman

=== debian/watch ===
version=4
https://github.com/mitmproxy/mitmproxy/tags .*/v?(\d[\d\.]*)\.tar\.gz debian uupdate

## mitmproxy 10.0.0

=== debian/changelog ===
mitmproxy (10.0.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:03:50 +0200

mitmproxy (10.0.0-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * ci: Don't attempt to build armel in the CI.

  [ Sophie Brun ]
  * New upstream version 10.0.0
  * Refresh patches
  * Switch to pyproject.toml
  * Add missing depends

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Aug 2023 18:27:57 +0200

mitmproxy (9.0.1-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Remove 2 obsolete maintscript entries in 1 files.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Sophie Brun ]
  * Fix debian/watch
  * New upstream version 9.0.1
  * Refresh patches
  * Add missing build-dep and dep python3-mitmproxy-wireguard
  * Bump Standards-Version to 4.6.2
  * Update build-dep to run the tests during the build
  * Refresh and patches to run the tests during the build
  * Do not install pycache in examples

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 08 Feb 2023 15:54:47 +0100

mitmproxy (8.1.1-0kali1) kali-dev; urgency=medium

  * Update debian/watch
  * New upstream version 8.1.1
  * Refresh patches
  * Update lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 29 Jun 2022 15:35:22 +0200

mitmproxy (8.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 8.1.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 May 2022 17:49:03 +0200

mitmproxy (8.0.0-0kali1) kali-dev; urgency=medium

  * New upstream version 8.0.0
  * Refresh patches
  * Update Vcs-* fields
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Bump debian/watch Standards to 4
  * Update lintian-overrides
  * Update docs installation
  * Update autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 19 Apr 2022 14:45:12 +0200

mitmproxy (4.0.4-4kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@freexian.com>  Mon, 17 Sep 2018 15:24:49 +0200

mitmproxy (4.0.4-3kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@freexian.com>  Tue, 21 Aug 2018 08:39:52 +0200

mitmproxy (4.0.3-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Mon, 18 Jun 2018 12:11:59 +0200

mitmproxy (4.0.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Tue, 22 May 2018 14:24:14 +0200

mitmproxy (3.0.4-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Remove patches for new tornado

 -- Sophie Brun <sophie@freexian.com>  Mon, 09 Apr 2018 11:42:38 +0200

mitmproxy (3.0.3-0kali1) kali-dev; urgency=medium

  * Drop debian/gbp.conf specific to Debian
  * Remove Pre-Depends
  * New upstream version 3.0.3
  * Refresh patches and remove merged patches
  * Update dependencies for new release
  * Update debian/copyright
  * Fix debian/mitmproxy.links: there were errors in path
  * Drop unused lintian-overrides
  * Drop useless patch 0002 and update debian/rules to run tests
  * Drop useless patch fix-test-xml-html.patch
  * Add patches to remove conflicts with current packages version in Kali
  * Add patches to fix test with new tornado (>= 5.0)

 -- Sophie Brun <sophie@freexian.com>  Tue, 06 Mar 2018 11:41:46 +0100

mitmproxy (2.0.2-3kali1) kali-dev; urgency=medium

  * Synchronize with Debian

 -- Sophie Brun <sophie@freexian.com>  Wed, 07 Feb 2018 11:41:54 +0100

mitmproxy (2.0.2-0kali4) kali-dev; urgency=medium

  * Add a patch for new pyasn1 module (version > 0.3)

 -- Sophie Brun <sophie@freexian.com>  Mon, 15 Jan 2018 12:27:31 +0100

mitmproxy (2.0.2-0kali3) kali-dev; urgency=medium

  * Drop patch for old python3-construct: version 2.8.16 is now in Kali

 -- Sophie Brun <sophie@freexian.com>  Thu, 11 Jan 2018 09:30:15 +0100

mitmproxy (2.0.2-0kali2) kali-dev; urgency=medium

  * Add a patch to drop maximal version of cryptography
  * Add a patch to change requirement brotlipy to brotli

 -- Sophie Brun <sophie@freexian.com>  Thu, 23 Nov 2017 11:05:06 +0100

mitmproxy (2.0.2-0kali1) kali-experimental; urgency=medium

  * Import new upstream release
  * Use python-brotli (sync with Debian)
  * Add a patch to use kaitaistruct >= 0.7 (version in Kali-rolling)

 -- Sophie Brun <sophie@freexian.com>  Mon, 13 Nov 2017 15:48:28 +0100

mitmproxy (2.0.0-0kali1) kali-experimental; urgency=medium

  * Import new upstream release
  * Update all depends and build-depends to use Python3 as all mitmproxy tools
    are now Python 3 only.
  * Add a patch to use python-construct version < 2.8
  * Add patches to make the tests pass

 -- Sophie Brun <sophie@freexian.com>  Fri, 24 Feb 2017 09:56:32 +0100

mitmproxy (0.18.2-6kali1) kali-dev; urgency=medium

  * Synchronize with debian

 -- Sophie Brun <sophie@freexian.com>  Mon, 19 Dec 2016 12:08:14 +0100

mitmproxy (0.18.2-3kali1) kali-dev; urgency=medium

  * Synchronize with debian

 -- Sophie Brun <sophie@freexian.com>  Mon, 21 Nov 2016 13:54:54 +0100

mitmproxy (0.18.2-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Drop patch drop-TestServerIPv6.patch: replaced by adding args to pybuild
    tests in debian/rules

 -- Sophie Brun <sophie@freexian.com>  Fri, 28 Oct 2016 15:35:43 +0200

mitmproxy (0.18.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Add new depends (typing, brotlipy, hyperframe, enum34 and ipaddress)
  * Disable failing test TestServerIPv6
  * Drop useless patch reduce-minimal-versions.patch

 -- Sophie Brun <sophie@freexian.com>  Mon, 17 Oct 2016 14:41:58 +0200

mitmproxy (0.17.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Fri, 22 Apr 2016 15:09:51 +0200



=== debian/control ===
Source: mitmproxy
Section: net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: dh-python, python3,
 pybuild-plugin-pyproject,
 pandoc,
 python3-aioquic,
 python3-asgiref (>= 3.2.10),
 python3-blinker (>= 1.4),
 python3-brotli (>= 1.0),
 python3-certifi (>= 2019.9.11),
 python3-click (>= 7.0),
 python3-cryptography (>= 3.2),
 python3-coverage <!nocheck>,
 python3-flask (>= 1.1.1),
 python3-h2 (>= 4.0),
 python3-hypothesis (>= 5.8) <!nocheck>,
 python3-hyperframe (>= 6.0),
 python3-kaitaistruct (>= 0.7),
 python3-ldap3 (>= 2.8),
 python3-mitmproxy-rs,
 python3-mitmproxy-wireguard (>= 0.1.6),
 python3-msgpack (>= 1.0.0),
 python3-openssl (>= 19.1.0),
 python3-protobuf (>= 3.6.0),
 python3-passlib (>= 1.6.5),
 python3-pyasn1 (>= 0.3.1),
 python3-pyinstaller,
 python3-pyparsing (>= 2.4.2),
 python3-pyperclip (>= 1.6.0),
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-publicsuffix2 (>= 2.20190812),
 python3-requests (>= 2.9.1),
 python3-ruamel.yaml (>= 0.16),
 python3-setuptools,
 python3-sortedcontainers (>= 2.1.0),
 python3-tornado (>= 4.3),
 python3-urwid (>= 2.1.0),
 python3-wsproto (>= 0.14),
 tox (>= 3.5) <!nocheck>,
 locales-all <!nocheck>,
 debhelper-compat (= 12)
Standards-Version: 4.6.2
XS-Debian-Vcs-Git: https://salsa.debian.org/debian/mitmproxy.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/mitmproxy
Homepage: https://mitmproxy.org

Package: mitmproxy
Architecture: all
Pre-Depends:
 dpkg (>= 1.17.14),
Depends:
 fonts-font-awesome (>= 4.2.0~dfsg),
 python3-aioquic,
 python3-h2 (>= 4.0),
 python3-hyperframe (>= 6.0),
 python3-mitmproxy-rs,
 python3-mitmproxy-wireguard,
 python3-pkg-resources,
 python3-urwid,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-netlib,
Description: SSL-capable man-in-the-middle HTTP proxy
 mitmproxy is an interactive man-in-the-middle proxy for HTTP and HTTPS. It
 provides a console interface that allows traffic flows to be inspected and
 edited on the fly.
 .
 Also shipped is mitmdump, the command-line version of mitmproxy, with
 the same functionality but without the frills. Think tcpdump for
 HTTP.
 .
 Features:
  - intercept and modify HTTP and HTTPS requests and responses and modify them
    on the fly
  - save HTTP conversations for later replay and analysis
  - replay the client-side of an HTTP conversation
  - reverse proxy mode to forward traffic to a specified server
  - transparent proxy mode on OSX and Linux
  - make scripted changes to HTTP traffic using Python
  - SSL/TLS certificates for interception are generated on the fly
  - ...
 .
 This package contains the python-pathod module (previously
 provided by other source package). The python-netlib module was also included
 but it has been dropped by upstream in version 1.0.

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,9 @@
 
 export PYBUILD_NAME=mitmproxy
 export PYBUILD_TEST_ARGS=-k"not TestHARDump" -k"not TestScripts" -k"not test_mitmweb" -k"not test_mitmdump" -k"not TestDaemonSSL" -k"not test_tcp" -k"not TestHTTPS" -k"not TestMasterSecretLogger" -k"not test_get_version"
+export PYBUILD_SYSTEM=pyproject
 
-export LC_ALL=C.UTF-8
+#export LC_ALL=C.UTF-8
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -18,3 +19,6 @@
 
 override_dh_installman: $(MAN_PAGES)
 	dh_installman
+
+override_dh_installexamples:
+	dh_installexamples -Xpycache

=== debian/tests/control ===
Test-Command: mitmproxy --version
Restrictions: superficial

## mitmproxy 12.1.1

=== debian/changelog ===
mitmproxy (12.1.1-0kali1) kali-dev; urgency=medium

  * New upstream version 12.1.1
  * Refresh patches
  * Update minimal version of python3-mitmproxy-rs

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 25 Jun 2025 17:27:42 +0200

mitmproxy (11.1.3-0kali1) kali-dev; urgency=medium

  * New upstream version 11.1.3
  * Update uploaders

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 25 Mar 2025 10:40:50 +0100

mitmproxy (11.1.2-0kali1) kali-dev; urgency=medium

  * New upstream version 11.1.2
  * Refresh patches
  * Update packaging

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 14 Feb 2025 14:21:44 +0100

mitmproxy (11.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 11.1.0
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 20 Jan 2025 08:54:18 +0100

mitmproxy (11.0.2-0kali1) kali-dev; urgency=medium

  * New upstream version 11.0.2
  * Refresh patches
  * Update required versions of mitmproxy-rs

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 16 Dec 2024 15:05:16 +0100

mitmproxy (11.0.1-0kali2) kali-dev; urgency=medium

  * Relax versions requirements

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 29 Nov 2024 10:49:54 +0700

mitmproxy (11.0.1-0kali1) kali-dev; urgency=medium

  * New upstream version 11.0.1
  * Drop protobuf build dependency
  * Drop unused Lintian overrides
  * Drop patch no longer needed

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 29 Nov 2024 10:23:11 +0700

mitmproxy (11.0.0-0kali2) kali-dev; urgency=medium

  * Autopkgtest: allow-stderr

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Oct 2024 10:28:19 +0200

mitmproxy (11.0.0-0kali1) kali-dev; urgency=medium

  * New upstream version 11.0.0
  * Update minimal required version of python3-mitmproxy-rs

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 04 Oct 2024 16:32:15 +0200

mitmproxy (10.4.2-0kali1) kali-dev; urgency=medium

  * New upstream version 10.4.2
  * Refresh patches
  * Update lintian-overrides
  * Update build-deps
  * Fix tests during build
  * Bump Standards-Version to 4.7.0
  * Add a patch to adapt required versions

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Aug 2024 09:48:52 +0200

mitmproxy (10.2.4+really10.2.3-0kali1) kali-dev; urgency=medium

  * New upstream version 10.2.4+really10.2.3 (fix 8695)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 Apr 2024 16:07:17 +0200

mitmproxy (10.2.4-0kali1) kali-dev; urgency=medium

  * New upstream version 10.2.4
  * Add a patch to allow lower version of cryptography

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 08 Mar 2024 11:45:39 +0100

mitmproxy (10.2.3-0kali1) kali-dev; urgency=medium

  * New upstream version 10.2.3
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 07 Mar 2024 12:02:12 +0100

mitmproxy (10.2.2-0kali1) kali-dev; urgency=medium

  * New upstream version 10.2.2
  * Refresh patches
  * Update minimal required version of python3-mitmproxy-rs

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Jan 2024 16:01:41 +0100

mitmproxy (10.1.5-0kali1) kali-dev; urgency=medium

  * New upstream version 10.1.5

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Nov 2023 14:04:38 +0100

mitmproxy (10.1.4-0kali1) kali-dev; urgency=medium

  * New upstream version 10.1.4

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 14 Nov 2023 11:47:05 +0100

mitmproxy (10.1.3-0kali1) kali-dev; urgency=medium

  * New upstream version 10.1.3
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Nov 2023 11:32:39 +0100

mitmproxy (10.1.1-0kali1) kali-dev; urgency=medium

  * New upstream version 10.1.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Sep 2023 14:57:13 +0200

mitmproxy (10.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 10.1.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Sep 2023 14:53:07 +0200

mitmproxy (6.0.2-0kali1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches and downgrade dependencies.
  * Ignore test failures.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 06 Jan 2021 15:55:14 +0100

mitmproxy (5.3.0-0kali1) unstable; urgency=medium

  * New upstream release (Closes: #976035, #975178).
    - Refresh patches
    - Bump build dependencies.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 30 Nov 2020 12:10:21 +0100

mitmproxy (5.1.1-0kali1) unstable; urgency=medium

  * New upstream release (Closes: #963067, #959180).
    - Refresh patches.
    - Bump build dependencies.
    - Patch out zstd not yet available in Debian.
  * Maintain in a team.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 19 Jun 2020 11:41:56 +0200

mitmproxy (4.0.4-0kali1) unstable; urgency=medium

  * New upstream version 4.0.4
  * Remove CVE-2018-14505 patch

 -- Sebastien Delafond <seb@debian.org>  Sun, 05 Aug 2018 09:18:56 +0200

mitmproxy (3.0.4-0kali1) unstable; urgency=medium

  * New upstream version 3.0.4
  * Rediff patches
  * Fix CVE-2018-14505 (Closes: #904293)

 -- Sebastien Delafond <seb@debian.org>  Sat, 04 Aug 2018 09:19:09 +0200

mitmproxy (3.0.3-0kali1) unstable; urgency=medium

  * New upstream revision (Closes: #894436)

 -- Sebastien Delafond <seb@debian.org>  Mon, 02 Apr 2018 10:22:09 +0200

mitmproxy (2.0.2-0kali1) unstable; urgency=medium

  * Imported Upstream version 2.0.2 (Closes: #869615, #867278, #867250,
    #849556, #849648)

 -- Sebastien Delafond <seb@debian.org>  Tue, 23 Jan 2018 08:54:28 +0100

mitmproxy (1.0.2-0kali1) unstable; urgency=medium

  * New upstream version 1.0.2 (Closes: #849556, #852902)
  * Lintian fixes
  * Support python3 only
  * Use packaged version of Font Awesome in place of those excluded from
    upstream (Closes: #847914)
  * Remove unnecessary Build-Depend on cffi (Closes: #849648)
  * Correct Vcs-Git

 -- Sebastien Delafond <seb@debian.org>  Fri, 27 Jan 2017 16:55:32 +0100

mitmproxy (0.18.2-0kali1) unstable; urgency=medium

  * New upstream version 0.18.2 (Closes: #843549)



=== debian/control ===
--- 
+++ 
@@ -1,35 +1,38 @@
 Source: mitmproxy
 Section: net
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders:
+ Daniel Ruiz de Alegría <daniruiz@kali.org>,
+ Sophie Brun <sophie@offensive-security.com>,
 Build-Depends: dh-python, python3,
  pybuild-plugin-pyproject,
  pandoc,
  python3-aioquic,
+ python3-argon2,
  python3-asgiref (>= 3.2.10),
  python3-blinker (>= 1.4),
- python3-brotli (>= 1.0),
+ python3-brotli (>= 1.1.0),
  python3-certifi (>= 2019.9.11),
  python3-click (>= 7.0),
- python3-cryptography (>= 3.2),
+ python3-cryptography (>= 42.0),
  python3-coverage <!nocheck>,
- python3-flask (>= 1.1.1),
- python3-h2 (>= 4.0),
+ python3-flask (>= 3.0),
+ python3-h11 (>= 0.11),
+ python3-h2 (>= 4.1),
  python3-hypothesis (>= 5.8) <!nocheck>,
  python3-hyperframe (>= 6.0),
- python3-kaitaistruct (>= 0.7),
+ python3-kaitaistruct (>= 0.10),
  python3-ldap3 (>= 2.8),
- python3-mitmproxy-rs,
+ python3-mitmproxy-rs (>= 0.12.0),
  python3-mitmproxy-wireguard (>= 0.1.6),
  python3-msgpack (>= 1.0.0),
- python3-openssl (>= 19.1.0),
- python3-protobuf (>= 3.6.0),
+ python3-openssl (>= 22.1.0),
  python3-passlib (>= 1.6.5),
  python3-pyasn1 (>= 0.3.1),
  python3-pyinstaller,
  python3-pyparsing (>= 2.4.2),
- python3-pyperclip (>= 1.6.0),
+ python3-pyperclip (>= 1.8.2),
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-timeout <!nocheck>,
@@ -39,16 +42,19 @@
  python3-requests (>= 2.9.1),
  python3-ruamel.yaml (>= 0.16),
  python3-setuptools,
- python3-sortedcontainers (>= 2.1.0),
- python3-tornado (>= 4.3),
- python3-urwid (>= 2.1.0),
- python3-wsproto (>= 0.14),
- tox (>= 3.5) <!nocheck>,
+ python3-sortedcontainers (>= 2.3.0),
+ python3-tornado (>= 6.4.1),
+ python3-urwid (>= 2.6.14),
+ python3-wsproto (>= 1.0),
+ python3-zstandard (>= 0.15),
+# tox (>= 3.5) <!nocheck>,
  locales-all <!nocheck>,
  debhelper-compat (= 12)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/debian/mitmproxy.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/mitmproxy
+Vcs-Git: https://gitlab.com/kalilinux/packages/mitmproxy.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/mitmproxy
 Homepage: https://mitmproxy.org
 
 Package: mitmproxy
@@ -60,7 +66,7 @@
  python3-aioquic,
  python3-h2 (>= 4.0),
  python3-hyperframe (>= 6.0),
- python3-mitmproxy-rs,
+ python3-mitmproxy-rs (>= 0.12.0),
  python3-mitmproxy-wireguard,
  python3-pkg-resources,
  python3-urwid,

## mitmproxy 12.1.2

=== debian/changelog ===
mitmproxy (12.1.2-0kali1) kali-dev; urgency=medium

  * New upstream version 12.1.2
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Mon, 25 Aug 2025 12:21:32 +0200

mitmproxy (12.1.1-0kali2) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Update my email

  [ Arnaud Rebillout ]
  * Bump constraint for mitmproxy-rs

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 20 Aug 2025 11:20:03 +0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders:
  Daniel Ruiz de Alegría <daniruiz@kali.org>,
- Sophie Brun <sophie@offensive-security.com>,
+ Sophie Brun <sophie@kali.org>,
 Build-Depends: dh-python, python3,
  pybuild-plugin-pyproject,
  pandoc,
@@ -24,7 +24,7 @@
  python3-hyperframe (>= 6.0),
  python3-kaitaistruct (>= 0.10),
  python3-ldap3 (>= 2.8),
- python3-mitmproxy-rs (>= 0.12.0),
+ python3-mitmproxy-rs (>= 0.12.3),
  python3-mitmproxy-wireguard (>= 0.1.6),
  python3-msgpack (>= 1.0.0),
  python3-openssl (>= 22.1.0),
@@ -66,7 +66,7 @@
  python3-aioquic,
  python3-h2 (>= 4.0),
  python3-hyperframe (>= 6.0),
- python3-mitmproxy-rs (>= 0.12.0),
+ python3-mitmproxy-rs (>= 0.12.3),
  python3-mitmproxy-wireguard,
  python3-pkg-resources,
  python3-urwid,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 export PYBUILD_NAME=mitmproxy
 export PYBUILD_TEST_ARGS=-k"not TestHARDump" -k"not TestScripts" -k"not test_mitmweb" -k"not test_mitmdump" -k"not TestDaemonSSL" -k"not test_tcp" -k"not TestHTTPS" -k"not TestMasterSecretLogger" -k"not test_get_version"
 export PYBUILD_SYSTEM=pyproject
+export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples
 
 #export LC_ALL=C.UTF-8

=== debian/tests/control ===
Test-Command: mitmproxy --version
Restrictions: superficial, allow-stderr

## mitmproxy 12.2.0

=== debian/changelog ===
mitmproxy (12.2.0-0parrot1) echo; urgency=medium

  * Sync with kali packaging.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 02 Dec 2025 12:33:39 +0100

mitmproxy (12.2.0-0kali1) kali-dev; urgency=medium

  * New upstream version 12.2.0
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 16 Oct 2025 08:58:49 +0200

mitmproxy (12.1.2-0kali2) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Disable CI on unsupported arch
  * Fix patch Relax-versions-requirements.patch

  [ Arnaud Rebillout ]
  * Drop armel-related variable from CI (no more armel runner)

 -- Sophie Brun <sophie@kali.org>  Fri, 26 Sep 2025 13:58:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: mitmproxy
 Section: net
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders:
- Daniel Ruiz de Alegría <daniruiz@kali.org>,
- Sophie Brun <sophie@kali.org>,
+Maintainer: Parrot Dev Team <team@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Build-Depends: dh-python, python3,
  pybuild-plugin-pyproject,
  pandoc,
@@ -50,11 +48,9 @@
 # tox (>= 3.5) <!nocheck>,
  locales-all <!nocheck>,
  debhelper-compat (= 12)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 XS-Debian-Vcs-Git: https://salsa.debian.org/debian/mitmproxy.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/mitmproxy
-Vcs-Git: https://gitlab.com/kalilinux/packages/mitmproxy.git
-Vcs-Browser: https://gitlab.com/kalilinux/packages/mitmproxy
 Homepage: https://mitmproxy.org
 
 Package: mitmproxy

## mitmproxy 12.2.1

=== debian/changelog ===
mitmproxy (12.2.1-0kali1) kali-dev; urgency=medium

  * New upstream version 12.2.1
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 08 Dec 2025 11:07:31 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: mitmproxy
Project: mitmproxy

## mitmproxy rs-0.12.7-crates

=== gentoo/windivert-sys-0.10.0/vendor/sys/Makefile ===
!INCLUDE $(NTMAKEENV)\makefile.def
